complexType "ValuationDate"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 2 elements
Defined: | globally in fpml-cd-5-3.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | singleValuationDate | multipleValuationDates
</...>

Content Model Elements (2):

  multipleValuationDates, singleValuationDate

All Direct / Indirect Based Elements (1):

  valuationDate (in cashSettlementTerms)

Known Usage Locations

- As direct type of elements (1):
  valuationDate (in cashSettlementTerms)

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="ValuationDate"> <xsd:choice> <xsd:element name="singleValuationDate" type="SingleValuationDate"/> <xsd:element name="multipleValuationDates" type="MultipleValuationDates"/> </xsd:choice> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/2)
multipleValuationDates

  Type: | MultipleValuationDates, complex content

  Where multiple valuation dates are specified as being applicable for cash settlement, this element specifies (a) the number of applicable valuation dates, and (b) the number of business days after satisfaction of all conditions to settlement when the first such valuation date occurs, and (c) the number of business days thereafter of each successive valuation date. ISDA 2003 Term: Multiple Valuation Dates
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="multipleValuationDates" type="MultipleValuationDates"/>

singleValuationDate

  Type: | SingleValuationDate, complex content

  Where single valuation date is specified as being applicable for cash settlement, this element specifies the number of business days after satisfaction of all conditions to settlement when such valuation date occurs. ISDA 2003 Term: Single Valuation Date
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="singleValuationDate" type="SingleValuationDate"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.